%define major		2
%define api		0.8
%define gmajor		0.8
%define libname		%mklibname gee %{api} %{major}
%define gi_name		%mklibname gee-gir %{gmajor}
%define libnamedev	%mklibname -d gee


Name:		libgee
Summary:	GObject-based collection library
Version:	0.12.0
Release:	%mkrel 1
License: 	LGPLv2+
Group:		System/Libraries
Source0: 	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
URL: 		http://live.gnome.org/Libgee
BuildRequires:  %{_lib}glib2.0_0-devel
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:	vala

%description
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libname}
Summary:	Collection library providing GObject-based interfaces and classes 
Group:		System/Libraries

%description -n	%{libname}
Libgee is a collection library providing GObject-based interfaces and 
classes for commonly used data structures. 

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgee
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS NEWS README
%{_libdir}/libgee-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Gee-%{gmajor}.typelib

%files -n %{libnamedev}
%doc ChangeLog
%{_libdir}/libgee-%{api}.so
%{_libdir}/pkgconfig/gee-%{api}.pc
%{_includedir}/gee-%{api}
%{_datadir}/vala/vapi/gee-%{api}.vapi
%{_datadir}/gir-1.0/Gee-%{gmajor}.gir

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%changelog
* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 0.12-1pclos2013
- 0.12.0

* Sat Jul 27 2013 billybot <billybot> 0.10.2-1pclos2013
- update

* Mon Jun 02 2013 Ken <lxgator at gmail.com> 0.10.0-1pclos2013
- 0.10.0
- switch to libary naming scheme

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 0.7.1-1pclos2011
- 0.7.1

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 0.6.2.1-1pclos2011
- 0.6.2.1

* Tue Aug 30 2011 Texstar <texstar at gmail.com> 0.6.0-1pclos2011
- 0.7.0

* Mon Sep 27 2010 Texstar <texstar at gmail.com> 0.6.0-1pclos2010
- 0.6.0

* Tue Oct 06 2009 slick50 <lxgator@gmail.com> 0.5.0-1pclos2010
- 0.5.0

* Sat Mar 28 2009 slick50 <lxgator@gmail.com> 0.1.1-1pclos2007
- initial pkg
